Create Individual
POST
https://dev-api.monoova.com/kyb/v1/CreateInd
Body Parameters
- bodyCreate_IndividualExample
{ "email": "[email protected]", "phone": "+61 424 424 424", "nameFirst": "John", "nameLast": "Doe" }- emailstringrequired
- phonestringrequired
- nameFirststring
- nameLaststring
- sourceKeystring
- externalUserIdobject
Responses
200
- Create_Individual_-_ResponseExample
{ "status": "string", "response": { "applicantId": "string", "email": "string", "phone": "string", "nameFirst": "string", "nameLast": "string", "applicantStatus": "string" } }- statusstring
- responseobject
- applicantIdstring
- emailstring
- phonestring
- nameFirststring
- nameLaststring
- applicantStatusstring
400
curl
curl --request POST \
--url https://dev-api.monoova.com/kyb/v1/CreateInd \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"email": "",
"phone": ""
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"email": "",
"phone": ""
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://dev-api.monoova.com/kyb/v1/CreateInd", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://dev-api.monoova.com/kyb/v1/CreateInd")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"email": "",
"phone": ""
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://dev-api.monoova.com/kyb/v1/CreateInd"
payload = json.dumps({
"email": "",
"phone": ""
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
{
"status": "",
"response": {
"applicantId": "",
"email": "",
"phone": "",
"nameFirst": "",
"nameLast": "",
"applicantStatus": ""
}
}400
This endpoint allows you to create an applicant on a chosen flow that you've created within the platform.
Flows allow you to choose what you'd like to screen an applicant for, and which documents you'd like verified. For example, a basic flow you've created may require the applicant to provide one identity document and go through a selfie check.